.component-header {
  z-index: 150;
  position: relative;
  &__fixed {
    width: 100%;
    position: fixed;
    z-index: 41;
    width: 100vw;
    top: 0;
  }
  &__avatar {
    height: 100%;
    width: auto;
  }
  &__avatar-container {
    border-radius: 50%;
    display: flex;
    justify-content: center;
    overflow: hidden;
    max-height: rem(35px);
    max-width: rem(35px);
    min-width: rem(35px);
    height: rem(35px);
    width: rem(35px);
    background: $color-ligth-gray;
    position: static;
  }
  &__autocomplete-input {
    background: #fff url(svg/icons/autocomplete-place.svg) rem(10px) center no-repeat;
    padding-left: rem(35px);
    height: rem(48px);
  }
  &__autocomplete-input_right {
    background: #fff url(svg/icons/autocomplete-place.svg) rem(10px) center no-repeat;
    padding-left: rem(35px);
    border-radius: 0.3125rem 0 0 0.3125rem;
    height: rem(48px);
  }
  &__dropdown-container {
    background: none;
    box-shadow: none;
    max-width: rem(300px);
    width: 100%;
    z-index: 1001;
  }
  &__modal {
    z-index: 1001;
  }
  &__container-modal {
    background: $dark;
    overflow-y: auto;
    width: 100vw;
    height: 100%;
  }
  &__user-header-menu-trigger {
    max-width: rem(180px);
    width: auto;
  }
  &__user-header-menu {
    align-items: right;
    position: relative;
    background: #343a40;
    border-radius: 0.3125rem;
    border: 1px solid #343a40;
    padding: rem(5px);
    height: rem(48px);
    margin-left: auto;
    cursor: pointer;
  }
  &__dropdown-content {
    background: $dark;
    border-radius: 2%;
    padding: 1rem;
    height: 100%;
    overflow-y: auto;
  }
  &__dropdown-arrow {
    width: 0;
    height: 0;
    border-left: rem(10px) solid transparent;
    border-right: rem(10px) solid transparent;
    border-bottom: rem(20px) solid $dark;
    margin-left: auto;
    margin-right: auto;
  }
  &__menu-button {
    background: none;
    display: flex;
    border: none;
  }
  &__session-buttons {
    min-width: rem(430px);
  }
  &__notification {
    display: flex;
    justify-content: center;
    align-items: center;
    height: rem(30px);
    width: rem(30px);
    border-radius: 50%;
    color: white;
    font-weight: bold;
    background-color: #00a4d6;
    margin-left: auto;
  }
  &__header-button {
    max-width: rem(150px);
    min-width: rem(150px);
    padding-left: 0.5vw;
    padding-right: 0.5vw;
    & > button {
      padding: rem(12px) 1vw;
      height: rem(48px);
    }
  }
  &__search-button {
    border: none;
    border-radius: 0 0.3125rem 0.3125rem 0;
    background-color: white;
    width: rem(48px);
    height: rem(48px);
    &:hover {
      background-color: $dark;
      & .icon {
        fill: $primary;
      }
    }
  }
  &__time-button {
    border: rem(2px) solid $dark;
    border-radius: 0.3125rem;
    font-weight: bold;
    background-color: $primary;
    width: auto;
    max-width: rem(150px);
    overflow: hidden;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    height: rem(48px);
    & .icon {
      width: rem(25px);
    }
    &:hover {
      background-color: $dark;
      color: $primary;
      & .icon {
        fill: $primary;
      }
    }
  }
  &  .notif-circle {
    top:calc(50% - 18px);
    right: calc(90% - 0px);

    border-radius: 50%;
    position: absolute;
    margin-top: 0;
    display: block;
    width: rem(15px);
    height: rem(15px);
    border: 0;
    color: $color-white;
    font-weight: bold;
    font-size: .7rem;
    text-align:center;
    vertical-align: center;
    cursor: pointer;
    text-decoration: none;
    background: $color-blue;
    pointer-events:none;
  }
  &__twitter-button {
    max-width: rem(275px);
    min-width: rem(225px);
    padding-left: 0.5vw;
    padding-right: 0.5vw;
  }
  &__dots-button {
    max-width: rem(100px);
    padding-left: 0.5vw;
    padding-right: 0.5vw;
  }
  &__logo {
    max-width: rem(200px);
  }
  &__logo-net {
    max-width: rem(200px);
    float: left;
    display:inline-block;
    &:hover {
      color: $dark;
      text-decoration: none;
    }
  }
  &__logo-net-link {
    max-width: rem(200px);
    display:inline-block;
    overflow: hidden;
    &:hover {
      color: $dark;
      text-decoration: none;
    }
  }
  &__logo-net-title {
    vertical-align: middle;
    max-width: rem(200px);
    width: 200px;
  }
  &__logo-net-name {
    display:inline-block;
    vertical-align: middle;
    max-width: rem(160px);
    font-size: rem(17px);
    text-overflow: ellipsis;
    font-weight: bold;
    overflow: hidden;
  }
  &__logo-net-img {
    max-width: rem(30px);
    margin-right: rem(5px);
  }
  &__logo-net-subt {
    margin-left: 1rem;
    float: left;
    max-width: rem(200px);
    text-decoration: none;
  }
  &__logo-net-hb {
    & > svg {
      max-width: rem(90px) !important;
    }
  }
  &__text {
    font-size: .85rem;
    font-weight: bold;
  }
  &__text-input {
    border: none;
    border-radius: 0.3125rem;
    & .ember-power-select-trigger-multiple-input {
      line-height: rem(48px);
      padding: 0 1rem; // like input__input sides padding
      font-size: .85rem;
    }
  }

  &__options {
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
  }
}
